Montana (MT) NTX Salvage Title API - Sandbox

Download documents produced by the transaction

Download documents produced by the transaction

get
https://api-test.vitu.com/national-public-api/v2/transaction/{transactionId}/forms/download

Query Parameters

transactionTypestring

Identifier of the type of the transaction

Allowed values:EVRINTERSTATEDMVDESKNTX

Default:NTX

<= 1048576 characters

Example:NTX

targetstring

target parameter

Allowed values:DealerCustomerLenderOwnerCoOwnerScans

<= 1048576 characters

Example:Dealer

Path Parameters

transactionIdstringrequired

Either int transactionId or uuid refNumber

Match pattern:^[\s\S]*$

<= 1048576 characters

Headers

x-on-behalf-of-userinteger(int64)

>= -9007199254740991<= 9007199254740991

Response

application/pdf

OK

string

<= 1048576 characters

get/transaction/{transactionId}/forms/download
 
application/pdf

Download transaction's document by transaction and document Id

Download transaction’s document by transaction and document Id

get
https://api-test.vitu.com/national-public-api/v2/transaction/{transactionId}/forms/download/{documentId}

Query Parameters

transactionTypestring

Identifier of the type of the transaction

Allowed values:EVRINTERSTATEDMVDESKNTX

Default:NTX

<= 1048576 characters

Example:NTX

blankboolean

if you need to generate blank form

Path Parameters

transactionIdstringrequired

Either int transactionId or uuid refNumber

Match pattern:^[\s\S]*$

<= 1048576 characters

documentIdstring(uuid)required

identifier of the document

Match pattern:^[\s\S]*$

<= 64 characters

Headers

x-on-behalf-of-userinteger(int64)

>= -9007199254740991<= 9007199254740991

Response

application/pdf

OK

string

<= 1048576 characters

get/transaction/{transactionId}/forms/download/{documentId}
 
application/pdf

Commit the transaction

Commit the transaction

put
https://api-test.vitu.com/national-public-api/v2/transaction/{transactionId}/commit

Query Parameters

transactionTypestring

Identifier of the type of the transaction

Allowed values:EVRINTERSTATEDMVDESKNTX

Default:NTX

<= 1048576 characters

Example:NTX

Path Parameters

transactionIdstringrequired

Either int transactionId or uuid refNumber

Match pattern:^[\s\S]*$

<= 1048576 characters

Headers

x-on-behalf-of-userinteger(int64)

>= -9007199254740991<= 9007199254740991

Body

application/json

FinalizeDTO

* Additional properties are NOT allowed.
shippingobjectrequired
* Additional properties are NOT allowed.
Show Child Parameters
plateDestinationobject
* Additional properties are NOT allowed.
Show Child Parameters
submitAsIsboolean

Example:true

signerNamestring

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:Sample Name

signerEmailstring(email)

<= 1048576 characters

Example:[email protected]

signerPhonestring

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:555-0100

Response

application/json

OK

object

Accepted — processing asynchronously

Callbacks

post
{$request.query.callbackUrl}

Callback Response

application/json

Target server returns this code if it accepts the callback

object

Accepted — processing asynchronously

put/transaction/{transactionId}/commit

Body

{ "shipping": { "shippingType": "Standard" } }
 
application/json
callback sample
Callback Body
Callback Response
application/json

Tickets

Tickets operations

Get Ticket Messages

Fetches a list of all messages and comments associated with a specific transactionId

get
https://api-test.vitu.com/national-public-api/v2/tickets/messages

Query Parameters

transactionIdstring(uuid)required

transactionId parameter

Match pattern:^[\s\S]*$

<= 64 characters

Headers

x-location-idstring(uuid)required

VITU Location ID

Match pattern:^[\s\S]*$

<= 64 characters

x-on-behalf-of-userinteger(int64)

>= -9007199254740991<= 9007199254740991

Response

application/json

A list of messages associated with the transaction.

<= 100000 items

idinteger(int64)

ID of the message

>= -9007199254740991<= 9007199254740991

Example:1

messagestring

Match pattern:^[\s\S]*$

<= 1048576 characters

Example:Request processed successfully

createdstring(date-time)

<= 1048576 characters

Example:2024-03-15T09:30:00Z

get/tickets/messages
 
application/json